Skip to Content

Problem with Add-on after SAP B1 upgrade SQL2008 to SQL2016

Hello,

I recently upgraded from version 8.82 to 9.2 of SAP B1.

In the previous version I had MSSQL 2008 and now I have MSSQL 2016.

After the upgrade I noticed that the Add-on does not support SQL2016.

When I try to use Add-on it gives this error: "Error loading (The connectionString property has not been initialized.)"

Does this mean the Add-on has to be reprogrammed because of SQL2016?

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Nov 23, 2017 at 12:32 PM

    Hi Daniel,

    Yes, the addon needs to be adapted. It should only be a single line of code that needs to be changed for it to understand MS SQL 2016, assuming your version of B1 (DI API) supports that version of MS SQL.

    The addon's DI API reference should also be updated.

    Regards,

    Johan

    Add comment
    10|10000 characters needed characters exceeded